import { Body, Controller, Post } from "@nestjs/common";
import { AuthService } from "./auth.service";
import { AuthDto } from "./dto";

@Controller('auth')
export class AuthController {
  constructor(private authService: AuthService) {}

  @Post("register")
  async signup(@Body() dto: AuthDto) {
    return await this.authService.register(dto);
  }

  @Post("login")
  async signin(@Body() dto: AuthDto) {
    return await this.authService.login(dto);
  }
}